﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Expl.Itinerary {
   /// <summary>
   /// Void schedule
   /// </summary>
   public class VoidSchedule : IPrimitiveSchedule {
      public void Dispose() { }

      public override string ToString() {
         return "void";
      }

      public IEnumerable<TimedEvent> GetRange(DateTime RangeStart, DateTime RangeEnd) {
         yield break;
      }
   }
}
